Subject: bug#15234: 24.3.50; Make C-x u repeatable

From: Dani Moncayo <[email-masked]>
Date: Tue, 3 Sep 2013 17:31:08 +0200

>> http://debbugs.gnu.org/cgi/bugreport.cgi?bug=12572#8
>
> [The argument there is that if `C-x u u u...' repeats `undo' then typing
> `u' directly after that will not insert a `u' character.]
>
> Fair enough.  And thank you - it's always good to see real arguments for
> and against a proposal.
>
> It's a good argument.  Not a particularly strong one, IMO, but reasonable.
>
> It's not strong because there are other, simple ways of exiting `undo' so
> `u' will then insert (`<left> <right>', `x DEL', whatever).

Yes, there would be other ways of exiting undo, but I definitely
prefer not having to "exit" `undo'.

In general, I think that modal operations should be avoided as much as
possible, because IMO, they make the user interface more complex
(uglier, worse...).

-- 
Dani Moncayo